# Class CIM_BootConfigSetting
extends CIM_SettingData

A class derived from SettingData that provides the container to arrange all the BootSourceSetting instances in an ordered sequence. There can be one or more of the BootConfigSetting instances associated to a ComputerSystem. For example, one such BootConfigSetting could be a default boot configuration supplied by the manufacturer, a second one could be a configuration recommended by the IT Administrator. A third one could be the one actually to be used on next system boot.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_BootConfigSetting

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class derived from SettingData that provides the container to arrange all the BootSourceSetting instances in an ordered sequence. There can be one or more of the BootConfigSetting instances associated to a ComputerSystem. For example, one such BootConfigSetting could be a default boot configuration supplied by the manufacturer, a second one could be a configuration recommended by the IT Administrator. A third one could be the one actually to be used on next system boot.

UMLPackagePath | string | CIM::System::Boot
Version | string | 2.19.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods

### Local Class Methods

#### ChangeBootOrder (uint32)

#### Method Qualifiers (ChangeBootOrder)

Name | Data Type | Value
--- | --- | ---

Description

string

This method is called to change the boot order within a boot configuration. An ordered array of BootSourceSetting instances is passed to this method. Each BootSourceSetting instance MUST already be associated with this BootConfigSetting instance via an instance of OrderedComponent. If not, the implementation MUST return a value of "Invalid Parameter" Upon execution of this method, the value of the AssignedSequence property on each instance of OrderedComponent will be updated such that the values are monotonically increasing in correlation with the position of the referenced BootSourceSetting instance in the source input parameter. That is, the first position in the array will have the lowest value for AssignedSequence. The second position will have the second lowest value, and so on. For BootSourceSetting instances which are associated with the BootConfigSetting instance via OrderedComponent and not present in the input array, the AssignedSequence property on the OrderedComponent association will be assigned a value of 0.

ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7..32767, 32768..65535
Values | string | Completed with No Error, Not Supported, Unknown/Unspecified Error, Busy, Invalid Reference, Invalid Parameter, Access Denied, DMTF Reserved, Vendor Specified

#### Method Parameters (ChangeBootOrder)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
Source | CIM_BootSourceSetting[]
Description | string | An ordered array of BootSourceSettings.
IN | boolean | true
Job | REF CIM_ConcreteJob
Description | string | Reference to the job spawned if the operation continues after the method returns. (May be null if the task is completed).
IN | boolean | false
OUT | boolean | true

#### ValidateSettings (uint32)

#### Method Qualifiers (ValidateSettings)

Name | Data Type | Value
--- | --- | ---

Description

string

This method validates all settings associated with the BootConfigSetting. This is to make sure that all the settings of the newly created BootConfigSetting are consistent with the system configuration. This method returns True or False. True would only mean that the instrumentation has made a consistency check based on its current knowledge of the system, and does not actually guarantee the success of boot process.

ValueMap | string | 0, 1, 2, 3, 4..32767, 32768..65535
Values | string | Settings Validated OK, Conflicting Settings, Unknown/Unspecified Error, Busy, DMTF Reserved, Vendor Specified

#### Method Parameters (ValidateSettings)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value